Hi,

I'm trying to get to work a SA 2.55 (downloaded and installed from CPAN) with Postfix 
2.0.13. 
Postfix relays the emails to spamd but spamd does not perform any checks. 

the config looks like this:

master.cf:

smtp      inet  n       -       n       -       -       smtpd -o content_filter=filter:

filter  unix    -       n       n       -       -       pipe
  user=filter argv=/home/filter/sc/filter.sh -f ${sender} -- ${recipient}


filter.sh

#!/bin/sh

INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
#!/bin/sh

INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
SPAMASSASSIN=/usr/bin/spamc

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

# Clean up when done or when aborting.
trap "rm -f in.$$; rm -f out.$$" 0 1 2 3 15

# Parameter for $SPAMASSASSIN
#  -P   Pipe message, don't deliver
#  -x   Disable user config files
#  -a   Use auto-whitelists
# cat | $SPAMASSASSIN -P -x -a > out.$$ || { echo Message content rejected; exit 
$EX_UNAVAILABLE; }
cat | $SPAMASSASSIN  > out.$$ || { echo Message content rejected; exit 
$EX_UNAVAILABLE; }

$SENDMAIL -i "$@" < out.$$

exit $?

This is not my script. I copied it from somewhere. I use this script (and exactly the 
same config) on three other locations and it works perfectly. Only difference: Nowhere 
else I run SA 2.55 together with Postfix 2.0.13. But Postfix should not be the 
problem. 
I also checked for access right problems but there are none. The user filter has rwx 
for everything he needs.

help very appreciated

thanks
Philipp


-------------------------------------------------------
This SF.Net email sponsored by: Free pre-built ASP.NET sites including
Data Reports, E-commerce, Portals, and Forums are available now.
Download today and enter to win an XBOX or Visual Studio .NET.
http://aspnet.click-url.com/go/psa00100003ave/direct;at.aspnet_072303_01/01
_______________________________________________
Spamassassin-talk mailing list
[EMAIL PROTECTED]
https://lists.sourceforge.net/lists/listinfo/spamassassin-talk

Reply via email to